# Py Lists
![Python list comprehension](https://python-3-patterns-idioms-test.readthedocs.io/en/latest/_images/listComprehensions.gif)
# Installation
```sh
npm i pylists
```
# Usage 
> Make Python list сomprehension in JavaScript with JavaScript features!!! <br>
>```
> Structure  => [[math operation (+-/%) or objects (element.value)] for [element] in [list] if [boolean expression]]
>```
> Params: new listComprehension(string, array) or new listComprehension(string)
```sh
const listComprehension = require('pylists')
new listComprehension("[x*2 for x in [1, 2, 3, 4, 5, 6]]")
new listComprehension("[x % 2 for x in myList if x === 2]", [0,1,2,3])
new listComprehension("[x.val % 2 for x in myList if typeof x === 'object']", [{val:2},{val:4}])
new listComprehension("[x.c.value.f * 2 for x in [{c: {value: {f: 2}}}, {c: {value: 'ac'}}, {c: {value: 'abc3245'}}] if x.c.value.f === 2]")
new listComprehension("[x.replace('a','b') for x in ['abc','def','ghi','iasdfbcabc'].map(function(a){return 'abc'+a+'abc';})]")
```
